# Record TCefBrowserViewDelegate

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefBrowserViewDelegate = record`

## Description

Implement this structure to handle BrowserView events. The functions of this structure will be called on the browser process UI thread unless otherwise indicated.

NOTE: This struct is allocated client-side.

Implemented by ICefBrowserViewDelegate.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/views/cef_browser_view_delegate_capi.h">CEF source file: /include/capi/views/cef_browser_view_delegate_capi.h (cef_browser_view_delegate_t))

## Overview

### Fields

| `base: TCefViewDelegate;`
| `on_browser_created: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;`
| `on_browser_destroyed: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;`
| `get_delegate_for_popup_browser_view: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; const settings: PCefBrowserSettings; client: PCefClient; is_devtools: Integer): PCefBrowserViewDelegate; stdcall;`
| `on_popup_browser_view_created: function(self: PCefBrowserViewDelegate; browser_view, popup_browser_view: PCefBrowserView; is_devtools: Integer): Integer; stdcall;`
| `get_chrome_toolbar_type: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): TCefChromeToolbarType; stdcall;`
| `use_frameless_window_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;`
| `on_gesture_command: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; gesture_command: TCefGestureCommand): Integer; stdcall;`
| `get_browser_runtime_style: function(self: PCefBrowserViewDelegate): TCefRuntimeStyle; stdcall;`
| `allow_move_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;`

## Description

### Fields

| `base: TCefViewDelegate;`
This item has no description.

| `on_browser_created: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;`
This item has no description.

| `on_browser_destroyed: procedure(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; browser: PCefBrowser); stdcall;`
This item has no description.

| `get_delegate_for_popup_browser_view: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; const settings: PCefBrowserSettings; client: PCefClient; is_devtools: Integer): PCefBrowserViewDelegate; stdcall;`
This item has no description.

| `on_popup_browser_view_created: function(self: PCefBrowserViewDelegate; browser_view, popup_browser_view: PCefBrowserView; is_devtools: Integer): Integer; stdcall;`
This item has no description.

| `get_chrome_toolbar_type: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): TCefChromeToolbarType; stdcall;`
This item has no description.

| `use_frameless_window_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;`
This item has no description.

| `on_gesture_command: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView; gesture_command: TCefGestureCommand): Integer; stdcall;`
This item has no description.

| `get_browser_runtime_style: function(self: PCefBrowserViewDelegate): TCefRuntimeStyle; stdcall;`
This item has no description.

| `allow_move_for_picture_in_picture: function(self: PCefBrowserViewDelegate; browser_view: PCefBrowserView): integer; stdcall;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.